### Type parameters

### Hierarchy

- PopupOptions

## Index

### Properties

- autoDestroy
- cls
- content
- height
- title
- url
- width

## Properties

### autoDestroy

autoDestroy: boolean

- Defined in src/message/Popup.js:33

Whether the popup should be automatically destroyed when hidden or not.

### cls

cls: string

- Defined in src/message/Popup.js:35

Extra class name to add to the popup.

### content

content: any

- Defined in src/message/Popup.js:36

The content of the popup. Either the content or URL must be set.

### height

height: string

- Defined in src/message/Popup.js:37

The height of the popup.

### title

title: string

- Defined in src/message/Popup.js:38

The title of the popup.

### url

url: string

- Defined in src/message/Popup.js:39

The URL to use for the iframe to include as content for the popup.

### width

width: string

- Defined in src/message/Popup.js:40

The width of the popup.

Generated using TypeDoc